# Uses of Interface
org.osgi.resource.Capability

Packages that use Capability
Package
Description
org.apache.felix.framework
org.apache.felix.framework.resolver
org.apache.felix.framework.wiring
org.osgi.framework.wiring
Framework Wiring Package Version 1.2.
org.osgi.resource
Resource Package Version 1.0.

## Uses of Capability in org.apache.felix.framework

Methods in org.apache.felix.framework that return types with arguments of type Capability
Modifier and Type
Method
Description
`List<Capability>`
BundleRevisionImpl.`getCapabilities(String namespace)`
`List<Capability>`
BundleWiringImpl.`getResourceCapabilities(String namespace)`

## Uses of Capability in org.apache.felix.framework.resolver

Subinterfaces of Capability in org.apache.felix.framework.resolver
Modifier and Type
Interface
Description
`interface`
`HostedCapability`
Classes in org.apache.felix.framework.resolver that implement Capability
Modifier and Type
Class
Description
`class`
`WrappedCapability`

## Uses of Capability in org.apache.felix.framework.wiring

Classes in org.apache.felix.framework.wiring that implement Capability
Modifier and Type
Class
Description
`class`
`BundleCapabilityImpl`

## Uses of Capability in org.osgi.framework.wiring

Subinterfaces of Capability in org.osgi.framework.wiring
Modifier and Type
Interface
Description
`interface`
`BundleCapability`
A capability that has been declared from a `bundle revision`.
Methods in org.osgi.framework.wiring that return types with arguments of type Capability
Modifier and Type
Method
Description
`List<Capability>`
BundleRevision.`getCapabilities(String namespace)`
Returns the capabilities declared by this resource.
`List<Capability>`
BundleWiring.`getResourceCapabilities(String namespace)`
Returns the capabilities provided by this wiring.

## Uses of Capability in org.osgi.resource

Methods in org.osgi.resource that return Capability
Modifier and Type
Method
Description
`Capability`
Wire.`getCapability()`
Returns the `Capability` for this wire.
Methods in org.osgi.resource that return types with arguments of type Capability
Modifier and Type
Method
Description
`List<Capability>`
Resource.`getCapabilities(String namespace)`
Returns the capabilities declared by this resource.
`List<Capability>`
Wiring.`getResourceCapabilities(String namespace)`
Returns the capabilities provided by this wiring.